Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.profile
Class ProfileType

    java.lang.Object
      com.bea.p13n.usermgmt.profile.ProfileType

All Implemented Interfaces
  Serializable

    public class ProfileType

extends Object
implements Serializable

Typesafe enum pattern for profile types

See Also
  Serialized Form

Field Summary
`static ProfileType` | `ANONYMOUS` Anonymous users have no id associated with them.
`static ProfileType` | `NONTRACKABLE` A non-tracked ProfileType represents a profile that does not contain a principal, i.e.
`static ProfileType` | `REGISTERED` A registered user has registered on our site and has a "real" username and groupname set as their ProfileIdentity.
`static ProfileType` | `TRACKABLE` Tracked users are are like anonymous users, except that we've been able to assign an id to them.
`static ProfileType` | `TRACKED` A TRACKABLE profile that is now TRACKED -- we have an EJB for its properties.
`static ProfileType` | `UNKNOWN` An unknown profile type could be when a ProfileWrapper has not yet been created, eg, when the session first begins

Method Summary
`boolean` | `equals(Object that)` Comparitor
`int` | `hashCode()` Hashcode
`String` | `toString()` Identifier

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ANONYMOUS

    public static final ProfileType ANONYMOUS

  Anonymous users have no id associated with them. They may have visited the site before, but Cookies are/were disabled, so there is no way of tracking them.

### TRACKABLE

    public static final ProfileType TRACKABLE

  Tracked users are are like anonymous users, except that we've been able to assign an id to them. Tracking is enabled via configuration of the TrackAnonymousFilter in web.xml. We have not yet written their data to the database.

  Once a trackable user decides to register, we merge their profile info into the registered user's profile.

### NONTRACKABLE

    public static final ProfileType NONTRACKABLE

  A non-tracked ProfileType represents a profile that does not contain a principal, i.e. it contains a custom, application defined entity.

### TRACKED

    public static final ProfileType TRACKED

  A TRACKABLE profile that is now TRACKED -- we have an EJB for its properties. In other words, they have stayed on our site long enough to be tracked. We distinguish the two as follows: a) TRACKABLE means the user is still anonymous, AND we have enabled tracking. The visitor threshold has not yet been exceeded, so we have not yet persisted information about them, nor have we written a tracking Cookie to the user. b) TRACKED means the threshold has been exceeded and we've peristed their information. We have also written a tracking Cookie to the user. Once tracking is enabled, and the user stays on the site for longer than the visitLength, we assign an ID to them and persist their profile to the database. When that user revists our site, we look for that id in the Cookie, and if found, retrieve their profile from the database.

### REGISTERED

    public static final ProfileType REGISTERED

  A registered user has registered on our site and has a "real" username and groupname set as their ProfileIdentity.

### UNKNOWN

    public static final ProfileType UNKNOWN

  An unknown profile type could be when a ProfileWrapper has not yet been created, eg, when the session first begins

Method Detail

### toString

    public String toString()

  Identifier

  Overrides:
    `toString` in class `Object`

### equals

    public final boolean equals(Object that)

  Comparitor

  Overrides:
    `equals` in class `Object`

### hashCode

    public final int hashCode()

  Hashcode

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.